<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Word extends Model
{
    public $incrementing = false;

    public $fillable = [
        'id',
        'ulb',
        'greek',
        'lemma',
        'morph',
        'ognt_sort',
        'strongs_number',
    ];

    public $visible = [
        'ulb',
        'greek',
        'lemma',
        'morph',
        'ognt_sort',
        'strongs_number',
    ];

    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function verse()
    {
        return $this->belongsTo(Word::class);
    }

    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function lexicalEntries()
    {
        return $this->belongsTo(LexicalEntry::class, 'strongs_number', 'id');
    }
}
